%define name    AutoScan
%define version 0.99_R1


Name:           %{name} 
Summary:        Utility for network exploration (Samba,Nessus client).
Version:        %{version} 
Release:        0
Source0:        %{name}.%{version}.tar.gz
URL:            http://autoscan.free.fr
Group:		Networking/Other
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
License:        GNU General Public License (GPL)
BuildRequires:  libsmbclient0-devel
BuildRequires:  libxml2-devel
BuildRequires:  libopenssl0.9.7-devel
BuildRequires:  libnet-snmp5-devel
BuildRequires:  libao2-devel
BuildRequires:  libvorbis0-devel
BuildRequires:  libgtk+2.0_0-devel
BuildRequires:  libgnomeui2_0-devel
BuildRequires:  libpango1.0_0-devel
BuildRequires:  libgnome-keyring0-devel
BuildRequires:  libbonoboui2_0-devel
BuildRequires:  libgnome-vfs2_0-devel
BuildRequires:  libglib2.0_0-devel
BuildRequires:  libvte4-devel
BuildRequires:  libelfutils1-devel
Requires:       samba-client


%description
AutoScan is an application designed to explore and to manage your network. Entire subnets can be scanned simultaneously without human intervention. It features OS detection, automatic network discovery, a port scanner, a Samba share browser, and the ability to save the network state.

%prep  
%setup -q -a 0

%build
./configure
make

%install
rm -rf %{buildroot}
install -d %{buildroot}/usr/share/doc/AutoScan/
install -d %{buildroot}/usr/share/pixmaps/AutoScan/
install -d %{buildroot}/usr/share/apps/AutoScan/
install -d %{buildroot}/usr/lib/menu/
install -d %{buildroot}/bin/
install -d %{buildroot}/usr/share/icons/
install -d %{buildroot}/usr/share/sounds/AutoScan/
install -d %{buildroot}/usr/share/applications/


cd bin/
install -m755 AutoScan_Network %{buildroot}/bin/
install -m755 AutoScan_Agent %{buildroot}/bin/
cd ..
cp -R usr/* %{buildroot}/usr/

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(AutoScan): command="AutoScan_Network" icon="AutoScan.png" needs="x11" title="AutoScan" longtitle="AutoScan is a utility for network exploration" section="Networking/Other"
EOF


%clean
rm -rf $RPM_BUILD_ROOT/


%post
chmod +s /bin/AutoScan_Agent
export GCONF_CONFIG_SOURCE="$(gconftool-2 --get-default-source)"
gconftool-2 --makefile-install-rule /usr/share/apps/AutoScan/AutoScan.schemas &>/dev/null
%update_menus


%postun
%clean_menus


%files
%defattr(755,root,root)
   /bin/*
   /usr/share/apps/AutoScan/*
   /usr/share/doc/AutoScan/*
   /usr/share/pixmaps/AutoScan/*
   /usr/share/icons/*
   /usr/share/sounds/AutoScan/*  
   /usr/share/applications/*
%defattr(644,root,root)
   /usr/lib/menu/



