/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2006 Thierry Lagarde <tlagarde@users.sourceforge.net>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#include <gnome.h>
#include <sys/types.h>
#include <signal.h>
#include "Quit.h"
#include "Module_Samba.h"
#include "Declaration_Constante.h"
#include "Interface/Root_Interface.h"
#include "Interface/Settings_Interface.h"
#include "Applet.h"
#include "Sound.h"
#include "Debug.h"
#include "Gconf.h"

void Affiche_Statistique_Utilisation_Memoire ()
{
	
}

void Enregistre_Position_Fenetre ()
{
	gint      hauteur, largeur, x, y;

	
	
	
	Enregistrement_Gconf_Entier (INT_ROOT_POSITION_X, 30);
	Enregistrement_Gconf_Entier (INT_ROOT_POSITION_Y, 30);
	gtk_window_get_size ((GtkWindow *) window_root, &largeur, &hauteur);
	Enregistrement_Gconf_Entier (INT_ROOT_SIZE_X, largeur);
	Enregistrement_Gconf_Entier (INT_ROOT_SIZE_Y, hauteur);
	
	gtk_window_get_size ((GtkWindow *) dialog_Settings, &largeur, &hauteur);
	Enregistrement_Gconf_Entier (INT_SETTINGS_SIZE_X, largeur);
	Enregistrement_Gconf_Entier (INT_SETTINGS_SIZE_Y, hauteur);
	
	Enregistrement_Gconf_Entier (INT_V_PANED_POSITION, gtk_paned_get_position (GTK_PANED (vpaned_root)));
	Enregistrement_Gconf_Entier (INT_H_PANED_POSITION, gtk_paned_get_position (GTK_PANED (hpaned_root)));
}

void Control_C (int sig)
{
	printf ("(Control_C)\n");
	Arret_Utilisateur ();
}

void segfault_handler (int sig)
{
	GtkWidget *Win_Demande_User;

	g_print ("\nSegmentation fault\nAPPLICATION ERROR\n'AutoScan_Network' has terminated unexpectedly   pid : %d\n", getpid ());
	gtk_widget_hide_all (window_root);
	Win_Demande_User = gtk_message_dialog_new (GTK_WINDOW (window_root), GTK_DIALOG_MODAL, GTK_MESSAGE_ERROR, GTK_BUTTONS_CLOSE, "Segmentation fault\n\n\nAPPLICATION ERROR\n\n\n\n'AutoScan_Network' has terminated unexpectedly");
	gtk_dialog_run (GTK_DIALOG (Win_Demande_User));
	contribution_Erreur ("Segmentation fault\nAPPLICATION ERROR\n'AutoScan_Network' has terminated unexpectedly");
	exit (-1);
}


void Initialisation_signaux ()
{
	signal (SIGINT, Control_C);
	signal (SIGSEGV, segfault_handler);
}

void Arret_Utilisateur ()
{
	Demonte_Tout_Partage ();
	destruction_applet_icone ();
	gtk_widget_hide_all (window_root);
	Arreter_Tous_Les_Agents ();
	printf ("Stopping %s (http://AutoScan.free.fr) %s\n", VERSION_AUTOSCAN, version_compiled);
	Enregistre_Position_Fenetre ();
	Affiche_Statistique_Utilisation_Memoire ();
	gtk_main_quit ();
}

void Arret_Erreur ()		
{
	destruction_applet_icone ();
	gtk_widget_hide_all (window_root);
	Arreter_Tous_Les_Agents ();
	printf ("Stopping %s (http://AutoScan.free.fr) %s\n", VERSION_AUTOSCAN, version_compiled);
	Demonte_Tout_Partage ();
	Affiche_Statistique_Utilisation_Memoire ();
	exit (-1);
}
